# Dynamic_SequenceOfClasses.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Dynamic_SequenceOfClasses.hxx>`
`#include <Dynamic_SeqOfClasses.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Dynamic_DynamicClass.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_Dynamic_DynamicClass
#define | Item_hxx <Dynamic_DynamicClass.hxx>
#define | TheSequence Dynamic_SeqOfClasses
#define | TheSequence_hxx <Dynamic_SeqOfClasses.hxx>
#define | TCollection_HSequence Dynamic_SequenceOfClasses
#define | TCollection_HSequence_hxx <Dynamic_SequenceOfClasses.hxx>
#define | Handle_TCollection_HSequence Handle_Dynamic_SequenceOfClasses
#define | TCollection_HSequence_Type_() Dynamic_SequenceOfClasses_Type_()

## Functions

Handle_Dynamic_SequenceOfClasses | ShallowCopy (const Handle_Dynamic_SequenceOfClasses &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_Dynamic_SequenceOfClasses

#define Item Handle_Dynamic_DynamicClass

#define Item_hxx <Dynamic_DynamicClass.hxx>

#define TCollection_HSequence Dynamic_SequenceOfClasses

#define TCollection_HSequence_hxx <Dynamic_SequenceOfClasses.hxx>

#define TCollection_HSequence_Type_ | (

)

Dynamic_SequenceOfClasses_Type_()

#define TheSequence Dynamic_SeqOfClasses

#define TheSequence_hxx <Dynamic_SeqOfClasses.hxx>

## Function Documentation

Handle_Dynamic_SequenceOfClasses ShallowCopy | ( | const Handle_Dynamic_SequenceOfClasses & | me | ) | `[inline]`